char CommandBuffer[6];
const char Command1[] = "GetAdd";
const char Command2[] = "LEDoff";
const char Command3[] = "LEDon ";

struct tAddress {
  byte Nummer;
  char Name[20];
  char Strasse[20];
  char PLZ[5];
  char Wohnort[20];
  byte Alter;
};

struct tAddress Address;

void setup() {
  Serial.begin(115200);
  pinMode(LED_BUILTIN, OUTPUT);
  digitalWrite(LED_BUILTIN, LOW);

  // Struktur mit Beispieldaten fuellen
  Address.Nummer = 1;
  strcpy(Address.Name, "Alfons Meier");
  strcpy(Address.Strasse, "Koenigstr. 10");
  strcpy(Address.PLZ, "45678");
  strcpy(Address.Wohnort, "Bellhausen");
  Address.Alter = 42;
}

void loop() {
  if (Serial.available()) {
    Serial.readBytes(CommandBuffer, sizeof(CommandBuffer));
    if (strncmp(CommandBuffer, Command1, 6) == 0) {
      Serial.write((byte*)&Address, sizeof(Address));
    }
    if (strncmp(CommandBuffer, Command2, 6) == 0) {
        digitalWrite(LED_BUILTIN, LOW);
        Serial.print(Command2);
    }
    if (strncmp(CommandBuffer, Command3, 6) == 0) {
        digitalWrite(LED_BUILTIN, HIGH);
        Serial.print(Command3);
    }
  }
}



